Loading...
Searching...
No Matches
bbOverlappingEntries_t Struct Reference

Holds interval:str associations. More...

`#include <bigWig.h>`

## Data Fields

uint32_t | l
uint32_t | m
uint32_t * | start
uint32_t * | end
char ** | str

## Detailed Description

Holds interval:str associations.

## Field Documentation

## end

uint32_t* bbOverlappingEntries_t::end

The end positions (0-based half open)

## l

uint32_t bbOverlappingEntries_t::l

Number of intervals held

## m

uint32_t bbOverlappingEntries_t::m

Maximum number of values/intervals the struct can hold

## start

uint32_t* bbOverlappingEntries_t::start

The start positions (0-based half open)

## str

char** bbOverlappingEntries_t::str

The strings associated with a given entry.

The documentation for this struct was generated from the following file:

- bigWig.h